### Method

# FwupdPlugin ArchiveFirmware get_image_fnmatch

#### Declaration [src]

    FuFirmware*
    fu_archive_firmware_get_image_fnmatch (
      FuArchiveFirmware* self,
      const gchar* pattern,
      GError** error
    )

#### Description [src]

Gets a single firmware image using the image ID pattern. It is also an error for multiple images to match.

Available since: | 1.8.9

#### Parameters

`pattern` | `const gchar*`
| A glob pattern, e.g. `*foo*`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `FuFirmware`
| A `FuFirmware`, or `NULL` if the image is not found.
| The caller of the method takes ownership of the data, and is responsible for freeing it.